VPS侦探论坛

 找回密码
 注册
搜索
热搜: pathinfo
查看: 2144|回复: 8

使用https后安装证书后网站提示这样的错误

[复制链接]
发表于 2017-11-8 15:58:29 | 显示全部楼层 |阅读模式

lnmp是军哥最新版的,自己申请了asiatrust的证书。chrome浏览器,网站打开后提示:
使用了不受支持的协议。
ERR_SSL_VERSION_OR_CIPHER_MISMATCH客户端和服务器不支持常用的 SSL 协议版本或加密套件。导致此问题的原因通常是服务器要求使用 RC4,而这种加密方式根据当前标准已不够安全。


但是firefox正常。
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2017-11-8 19:11:56 | 显示全部楼层



lnmp默认的https站点配置中没有rc4的cipher,配置文件改过吗
你系统什么版本,chrome什么版本
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2017-11-10 09:49:43 | 显示全部楼层

回复 2# 的帖子


没有改过任何配置文件,我是xp系统,chrome是48。但是如果仍然xp系统,换成firefox就正常。是不是xp系统不支持啊。还是证书有问题。
但是我看别的https的网站跟我一样的证书,同样xp和chrome48环境下就正常。

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2017-11-10 09:51:03 | 显示全部楼层

回复 3# 的帖子


会不会跟openssl有关,1.0.1e的版本
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2017-11-10 17:58:30 | 显示全部楼层

xp本来就只支持到SSLv2 和SSLv3,这两个协议还有漏洞,还不支持sni而且还不支持sha256签名算法,对https支持肯定也就不行,要想支持到xp就只能冒险开sslv3,但是你ip上多个https站点的话还是会有问题,以为xp不支持sni
firefox本来就是个特例,他使用自己的不使用系统自带的

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2017-11-11 11:13:18 | 显示全部楼层

回复 5# 的帖子



但是同样的xp和chrome环境访问https://lnmp.org/就是可以正常访问,而且还能探测到http/2开启状态,这是为啥呢?
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2017-11-11 19:26:42 | 显示全部楼层

不清楚
lnmp.org 网站上https的配置,除了证书和伪静态其他都是lnmp工具自带生成的配置是一样的
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2017-11-12 13:56:50 | 显示全部楼层

回复 7# 的帖子




做付费问题排查吗?

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 2017-11-12 18:59:05 | 显示全部楼层

回复 8# 的帖子


签名中有联系方式

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-5-25 12:23 , Processed in 0.044622 second(s), 26 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表